package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbMemberOrder;
import com.ruoyi.hezhi.domain.dto.ExamPayInfoDto;

import java.util.List;
import java.util.Map;

/**
 * 会员订单信息Service接口
 *
 * @author ruoyi
 * @date 2024-11-18
 */
public interface ITbMemberOrderService
{
    /**
     * 查询会员订单信息
     *
     * @param orderId 会员订单信息主键
     * @return 会员订单信息
     */
    public TbMemberOrder selectTbMemberOrderByOrderId(Long orderId);

    /**
     * 查询会员订单信息列表
     *
     * @param tbMemberOrder 会员订单信息
     * @return 会员订单信息集合
     */
    public List<TbMemberOrder> selectTbMemberOrderList(TbMemberOrder tbMemberOrder);

    /**
     * 新增会员订单信息
     *
     * @param tbMemberOrder 会员订单信息
     * @return 结果
     */
    public int insertTbMemberOrder(TbMemberOrder tbMemberOrder);

    /**
     * 修改会员订单信息
     *
     * @param tbMemberOrder 会员订单信息
     * @return 结果
     */
    public int updateTbMemberOrder(TbMemberOrder tbMemberOrder);

    /**
     * 批量删除会员订单信息
     *
     * @param orderIds 需要删除的会员订单信息主键集合
     * @return 结果
     */
    public int deleteTbMemberOrderByOrderIds(Long[] orderIds);

    /**
     * 删除会员订单信息信息
     *
     * @param orderId 会员订单信息主键
     * @return 结果
     */
    public int deleteTbMemberOrderByOrderId(Long orderId);

    /**
     * 查询会员订单信息
     *
     * @param orderNo 订单编号
     * @return 会员订单信息
     */
    public TbMemberOrder selectOrderByOrderNo(String orderNo);

    /**
     * 查询考试是否可支付信息
     *
     * @param orderNo 订单编号
     * @return 考试是否可支付信息
     */
    public ExamPayInfoDto selectExamPayInfoByOrderNo(String orderNo);

    /**
     * 删除考试不可支付订单
     * @return 删除结果
     */
    public int deleteExamCantPayOrder();

    /**
     * 支付回调业务处理
     * @param orderNo 订单号
     * @param payType 支付方式 （1-微信支付，2-支付宝支付）
     */
    public String orderPayNotify(String orderNo, Integer payType);

    /**
     * 修改会员订单信息
     *
     * @param tbMemberOrder 会员订单信息
     * @return 结果
     */
    public int updateTbMemberOrderByOrderNo(TbMemberOrder tbMemberOrder);

    /**
     * 我的订单列表
     *
     * @param params 参数
     * @return 结果
     */
    public List<Map<String,Object>> getMemberOrderList(Map<String,Object> params);
}
